aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/external/c-testsuite/runners/single-exec/c2go
diff options
context:
space:
mode:
Diffstat (limited to 'test/external/c-testsuite/runners/single-exec/c2go')
-rwxr-xr-xtest/external/c-testsuite/runners/single-exec/c2go33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/external/c-testsuite/runners/single-exec/c2go b/test/external/c-testsuite/runners/single-exec/c2go
new file mode 100755
index 0000000..e0dd596
--- /dev/null
+++ b/test/external/c-testsuite/runners/single-exec/c2go
@@ -0,0 +1,33 @@
+#! /bin/sh
+
+set -e
+set -u
+
+
+t=$1
+
+cat $t
+
+set -x
+
+mkdir "$t-c2go"
+
+if ! c2go transpile -o "$t-c2go/main.go" "$t"
+then
+ exit 1
+fi
+
+if ! (cd "$t-c2go" && go build -o "$t.bin")
+then
+ exit 1
+fi
+
+if ! "$t.bin" > "$t.output" 2>&1
+then
+ exit 1
+fi
+
+if ! diff -u "$t.expected" "$t.output"
+then
+ exit 1
+fi